package com.ruoyi.warehouse.domain;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

public class StockInfo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    private Long id;
    private Long areaId;
    private Long productId;

    @Excel(name = "当前库存")
    private BigDecimal stockNum;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "最近盘库时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date lastCheckTime;

    private String areaCode;

    @Excel(name = "库区名称")
    private String areaName;

    private String productCode;

    @Excel(name = "产品名称")
    private String productName;

    @Excel(name = "品牌")
    private String brand;

    @Excel(name = "类别")
    private String category;

    @Excel(name = "规格型号")
    private String spec;

    @Excel(name = "单位")
    private String unit;

    public Long getId() { return id; }
    public void setId(Long id) { this.id = id; }
    public Long getAreaId() { return areaId; }
    public void setAreaId(Long areaId) { this.areaId = areaId; }
    public Long getProductId() { return productId; }
    public void setProductId(Long productId) { this.productId = productId; }
    public BigDecimal getStockNum() { return stockNum; }
    public void setStockNum(BigDecimal stockNum) { this.stockNum = stockNum; }
    public Date getLastCheckTime() { return lastCheckTime; }
    public void setLastCheckTime(Date lastCheckTime) { this.lastCheckTime = lastCheckTime; }
    public String getAreaCode() { return areaCode; }
    public void setAreaCode(String areaCode) { this.areaCode = areaCode; }
    public String getAreaName() { return areaName; }
    public void setAreaName(String areaName) { this.areaName = areaName; }
    public String getProductCode() { return productCode; }
    public void setProductCode(String productCode) { this.productCode = productCode; }
    public String getProductName() { return productName; }
    public void setProductName(String productName) { this.productName = productName; }
    public String getBrand() { return brand; }
    public void setBrand(String brand) { this.brand = brand; }
    public String getCategory() { return category; }
    public void setCategory(String category) { this.category = category; }
    public String getSpec() { return spec; }
    public void setSpec(String spec) { this.spec = spec; }
    public String getUnit() { return unit; }
    public void setUnit(String unit) { this.unit = unit; }
}
